Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Bounded_Base_Sequence Class Reference

Base class for all bounded sequences. More...

`#include <Sequence.h>`

Inheritance diagram for TAO_Bounded_Base_Sequence:

[legend]
Collaboration diagram for TAO_Bounded_Base_Sequence:

[legend]
List of all members.

## Public Methods
void | length (CORBA::ULong length)
| Set the length, for this sequences this call is ignored if the new length is greater that the maximum. More...
CORBA::ULong | length (void) const
virtual | ~TAO_Bounded_Base_Sequence (void)
| Destructor. More...
## Protected Methods
| TAO_Bounded_Base_Sequence (void)
| Default constructor. More...
| TAO_Bounded_Base_Sequence (CORBA::ULong maximum, CORBA::ULong length, void *buffer, CORBA::Boolean release=0)
| Constructor with control of ownership. More...
| TAO_Bounded_Base_Sequence (CORBA::ULong maximum, void *buffer)
| Assume ownership and set length to 0. More...

## Detailed Description

Base class for all bounded sequences.

This class implements part of the funcionality common to all bounded sequences, using this intermediate class instead of virtual methods on TAO_Base_Sequence give us a slight improvement of performance, but also reduces the amount of generated code in the templates.

## Constructor & Destructor Documentation

TAO_Bounded_Base_Sequence::~TAO_Bounded_Base_Sequence | ( | void |  | ) | `[virtual]`

| Destructor.

ACE_INLINE TAO_Bounded_Base_Sequence::TAO_Bounded_Base_Sequence | ( | void |  | ) | `[protected]`

| Default constructor.

ACE_INLINE TAO_Bounded_Base_Sequence::TAO_Bounded_Base_Sequence | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | void * | buffer,
|  | CORBA::Boolean | release = 0
| ) | `[protected]`

| Constructor with control of ownership.

ACE_INLINE TAO_Bounded_Base_Sequence::TAO_Bounded_Base_Sequence | ( | CORBA::ULong | maximum,
|  | void * | buffer
| ) | `[protected]`

| Assume ownership and set length to 0.

## Member Function Documentation

ACE_INLINE CORBA::ULong TAO_Bounded_Base_Sequence::length | ( | void |  | ) | const

| Return the current length, it cannot go into the base class due to the C++ name lookup rules (if you don't know what I'm talking about, then try moving it there).

ACE_INLINE void TAO_Bounded_Base_Sequence::length | ( | CORBA::ULong | length | ) |

| Set the length, for this sequences this call is ignored if the new length is greater that the maximum.

The documentation for this class was generated from the following files:

- Sequence.h
- Sequence.cpp
- Sequence.i